OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF_DataMapNodeOfTypeARDriverMap Class Reference

`#include <MDF_DataMapNodeOfTypeARDriverMap.hxx>`

## Public Member Functions
| MDF_DataMapNodeOfTypeARDriverMap (const Handle(Standard_Type)&K, const Handle(MDF_ARDriver)&I, const TCollection_MapNodePtr &n)
Handle_Standard_Type & | Key () const
Handle_MDF_ARDriver & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Standard_Type | myKey
Handle_MDF_ARDriver | myValue

## Constructor & Destructor Documentation

MDF_DataMapNodeOfTypeARDriverMap::MDF_DataMapNodeOfTypeARDriverMap | ( | const Handle(Standard_Type)& | K,
|  | const Handle(MDF_ARDriver)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MDF_DataMapNodeOfTypeARDriverMap::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Type& MDF_DataMapNodeOfTypeARDriverMap::Key | ( |  | ) | const

Handle_MDF_ARDriver& MDF_DataMapNodeOfTypeARDriverMap::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Type MDF_DataMapNodeOfTypeARDriverMap::myKey`[private]`

Handle_MDF_ARDriver MDF_DataMapNodeOfTypeARDriverMap::myValue`[private]`

The documentation for this class was generated from the following file:

- MDF_DataMapNodeOfTypeARDriverMap.hxx